/* 
 * SoundEngine.java
 * Copyright (C) 2004 Miguel Angel Lozano
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package es.ua.j2ee.game.panj.engine;

import com.siemens.mp.media.Manager;
import com.siemens.mp.media.MediaException;

import es.ua.j2ee.game.panj.data.Resources;

/**
 * @author Miguel Angel
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class SoundEngine {

	public static void play(int sndId) {

		try {
			switch(sndId) {
				case Resources.SND_POP:
					Manager.playTone(20,25,100);
					break;
				case Resources.SND_SCREAM:
					Manager.playTone(80,500,100);
					break;
			}
		} catch(MediaException e) {
			
		}
	}
}
